#ifndef _C4D_LIBRARY_
#define _C4D_LIBRARY_

#include "operatingsystem.h"



#define LIBOFFSET(s,m)   (LONG)&(((s *)0)->m)

struct C4DLibrary
{
	LONG		version;
	LONG		size;
};

Bool InstallLibrary(LONG id, C4DLibrary *lib,LONG version, LONG size);
C4DLibrary *CheckLib(LONG id, LONG offset, C4DLibrary **store);

#endif
